## libsoup2.4 2.68.2

=== debian/changelog ===
libsoup2.4 (2.68.2-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Oct 2019 12:41:32 +0200

libsoup2.4 (2.68.1-1) experimental; urgency=medium

  [ Philip Chimento ]
  * debian/control.in: Add build dependency on libnss-myhostname, this
    should provide a way to resolve *.localhost which the HSTS tests depend
    on.
  * debian/patches/disable_buggy_test.patch: Dropped, the test passes now.

  [ Sebastien Bacher ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:18:07 +0200

libsoup2.4 (2.68.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add a superficial autopkgtest for the -dev packages.
    This will detect bugs like #935944 in future.
  * libsoup2.4-dev: Add missing dependency on libbrotli-dev
    (Closes: #935944)

  [ Sebastien Bacher ]
  * New upstream release
  * debian/control.in:
    - libsoup2.4-dev depends also on zlib1g-dev now
  * debian/patches/disable_buggy_test.patch:
    - disabled some buggy tests following upstream's recommendation, at
      least until the next version where they plan to rework or drop those

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 15:09:30 +0200

libsoup2.4 (2.67.92-2) experimental; urgency=medium

  * debian/rules:
    - set the feature arguments to 'enabled'

 -- Sebastien Bacher <seb128@debian.org>  Wed, 21 Aug 2019 15:46:10 +0200

libsoup2.4 (2.67.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 13:57:06 +0200

libsoup2.4 (2.67.91-2) experimental; urgency=medium

  * debian/libsoup2.4-1.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 15:53:24 +0200

libsoup2.4 (2.67.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 09:19:30 +0200
