=== debian/watch ===
version=4
https://download.gnome.org/sources/libsoup/([\d\.]+)/ \
	libsoup@ANY_VERSION@\.tar\.xz
