## libsoup2.4 2.69.90

=== debian/changelog ===
libsoup2.4 (2.69.90-1) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Allow introspection in cross builds
    - Fixes to testing infrastructure
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream

  [ Iain Lane ]
  * New upstream release:
    - Add new API to expose support for same-site cookies
    - Deprecate soup_date_to_timeval()
    - Fix TRACE method not being considered safe and idempotent internally
    - WebSockets: do not start the input source when IO is closing
  * Add new symbols for 2.69.90

 -- Iain Lane <laney@debian.org>  Wed, 19 Feb 2020 14:04:37 +0000

libsoup2.4 (2.68.2-2) experimental; urgency=medium

  * Team upload
  * Upload to experimental for NEW processing
  * Install automated tests in a new libsoup2.4-tests binary package
  * d/tests/installed-tests: Run those tests
  * d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Avoid running tests in parallel if they need a specific port number

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 14:50:18 +0100

libsoup2.4 (2.68.2-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch branch to debian/unstable.
    We should upload the fix for CVE-2019-17266 to unstable, but
    the debian/master branch already has a version waiting for NEW
    processing.
  * New upstream release (CVE-2019-17266) (Closes: #941912)
  * libsoup-gnome2.4-dev: Explicitly depend on gir1.2-soup-2.4.
    According to the GIR mini-policy, this is required because
    gir1.2-soup-2.4 contains SoupGNOME-2.4.typelib, corresponding to
    SoupGNOME-2.4.gir in libsoup-gnome2.4-dev. This dependency is not in
    fact strictly necessary, because libsoup-gnome2.4-dev depends on
    libsoup2.4-dev which in turn depends on gir1.2-soup-2.4, but Lintian
    doesn't look at recursive dependencies.
  * libsoup2.4-doc.links: Create symlinks to documentation in /usr/share/doc.
    The actual documentation files remain in /usr/share/gtk-doc/html,
    because they are technically a programmatic interface: other libraries
    that depend on libsoup2.4 and use gtk-doc will use that path to fix
    cross-references in their own documentation.
    There are symlinks in both /u/s/d/libsoup2.4-dev (the "main package"
    in Policy §12.3), and /u/s/d/libsoup2.4-doc (the traditional location
    for documentation).
  * libsoup2.4-doc: Add Recommends: libglib2.0-doc, for the cross-references.
    The libsoup2.4 documentation contains many cross-references to GLib,
    GObject and GIO documentation. Add symlinks in /usr/share/doc so that
    those cross-references can be followed, even in browsers that treat
    symlinks like directories for the purposes of resolving relative paths.
  * d/libsoup2.4-doc.doc-base: Use the symlinks in /usr/share/doc.
    This is functionally equivalent to what we already had, but silences
    a Lintian error.
  * Standards-Version: 4.4.1 (no changes required)
  * d/copyright: Update
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch:
    Add proposed patch to fix test failures with GLib 2.62
  * Explicitly build-depend on libapache2-mod-php, PHP 7 and Python 3.
    The script that checks for the required PHP version is written in
    Python 3 and specifically looks for a php7* module. It seems that in
    practice the dependency resolver used on unstable buildds will always
    select libapache2-mod-php anyway, but the resolver used on
    experimental buildds can select the -cgi or -fpm implementations,
    which are not detected, resulting in the necessary files for some of
    the installed-tests not being installed.
  * Add lintian overrides for the binary package names not precisely
    matching the SONAMEs.
    They're close enough to achieve the goal of the mechanically-generated
    naming convention, and changing them now (other than at the time of an
    upstream SONAME bump) seems like more disruption than it's worth.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 12:23:19 +0100

libsoup2.4 (2.68.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.4.0
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:55:29 -0400
