=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                libbrotli-dev,
-               libglib2.0-dev (>= 2.39.90),
+               libglib2.0-dev (>= 2.58),
                glib-networking (>= 2.32.0),
                libsqlite3-dev,
                libxml2-dev,
@@ -20,14 +20,18 @@
                gtk-doc-tools,
                meson (>= 0.48),
                libgirepository1.0-dev (>= 0.9.5),
-               apache2 (>= 2.4) <!nocheck>,
-               php <!nocheck>,
-               php-xmlrpc <!nocheck>,
-               curl <!nocheck>,
-               libnss-myhostname <!nocheck>,
+               apache2 (>= 2.4) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libapache2-mod-php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libapache2-mod-php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php-xmlrpc <!nocheck !pkg.libsoup2.4.noinsttests>,
+               python3,
+               curl <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libnss-myhostname [linux-any] <!nocheck>,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -43,7 +47,7 @@
          libsoup2.4-1 (= ${binary:Version}),
          libsqlite3-dev,
          gir1.2-soup-2.4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.38.0),
+         libglib2.0-dev (>= 2.58.0),
          libxml2-dev,
          zlib1g-dev,
 Suggests: libsoup2.4-doc
@@ -135,6 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         gir1.2-soup-2.4 (= ${binary:Version}),
          libsoup-gnome2.4-1 (= ${binary:Version}),
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
@@ -169,6 +174,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Recommends: libglib2.0-doc
 Suggests: libsoup2.4-dev
 Description: HTTP library implementation in C -- API Reference
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -211,3 +217,28 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: libsoup2.4-tests
+Build-Profiles: <!pkg.libsoup2.4.noinsttests>
+Section: misc
+Architecture: any
+Depends: apache2 (>= 2.4),
+         curl,
+         libapache2-mod-php (>= 2:7),
+         libapache2-mod-php (<< 2:8),
+         libnss-myhostname [linux-any],
+         php,
+         php-xmlrpc,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: gnome-desktop-testing
+Description: HTTP library implementation in C -- installed tests
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications. This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ This package contains automated tests, mostly for use via autopkgtest.
+ They can most easily be invoked via the gnome-desktop-testing-runner
+ tool in the gnome-desktop-testing package.
