## libsoup2.4 2.70.0

=== meson_options.txt ===
option('gssapi',
  type : 'feature',
  value : 'auto',
  description : 'Build with GSSAPI support'
)

option('krb5_config',
  type : 'string',
  value : '',
  description : 'Where to look for krb5-config, path points to krb5-config installation (defaultly looking in PATH)'
)

option('ntlm',
  type : 'feature',
  value : 'auto',
  description : 'Build with NTLM support'
)

option('ntlm_auth',
  type : 'string',
  value : 'ntlm_auth',
  description : 'Where to look for ntlm_auth, path points to ntlm_auth installation (defaultly looking in PATH)'
)

option('brotli',
  type : 'feature',
  value : 'auto',
  description : 'Build with Brotli decompression support'
)

option('tls_check',
  type : 'boolean',
  value : true,
  description : 'Enable TLS support through glib-networking. If you are building a package, you can disable this to allow building libsoup anyway (since glib-networking is not actually required at compile time), but you should be sure to add a runtime dependency on it.'
)

option('gnome',
  type : 'boolean',
  value : true,
  description : 'Build libsoup with GNOME support'
)

option('introspection',
  type : 'feature',
  value : 'auto',
  yield : true,
  description : 'Build GObject Introspection data'
)

option('vapi',
  type : 'feature',
  value : 'auto',
  description : 'Build Vala bindings'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Enable generating the API reference'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests compilation'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Install tests for as-installed testing'
)
