=== debian/changelog ===
libsoup2.4 (2.70.0-1ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-4476.patch: Replace strcmp with g_strcmp0 in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-4476

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 23 May 2025 14:25:17 -0230

libsoup2.4 (2.70.0-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY REGRESSION: Incomplete fix for CVE-2025-32912 (LP: #2110056)
    - debian/patches/CVE-2025-32912-fix1.patch: Replace g_hash_table_contains
      with g_hash_table_lookup in ./libsoup/soup-auth-digest.c.
    - CVE-2025-32912

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 06 May 2025 15:05:13 -0230

libsoup2.4 (2.70.0-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Out of bound read.
    - debian/patches/CVE-2025-32906-*.patch: Add out of bound checks in
      soup_headers_parse_request in ./libsoup/soup-headers.c.
    - debian/patches/CVE-2025-32914.patch: Replace strstr operation with
      g_strstr_len in ./libsoup/soup-multipart.c.
    - CVE-2025-32906
    - CVE-2025-32914
  * SECURITY UPDATE: Null pointer dereference.
    - debian/patches/CVE-2025-32909.patch: Add resource size check in
      ./libsoup/soup-content-sniffer.c.
    - debian/patches/CVE-2025-32910-32912-*.patch: Add checks for missing realm
      and nonce, and fix memory leak in ./libsoup/soup-auth-digest.c.
    - debian/patches/CVE-2025-32912.patch: Add additional checks for nonce in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-32909
    - CVE-2025-32910
    - CVE-2025-32912
  * SECURITY UPDATE: Memory corruption.
    - debian/patches/CVE-2025-32911-32913-*.patch: Add checks for empty
      filename in ./libsoup/soup-message-headers.c.
    - CVE-2025-32911
    - CVE-2025-32913
  * SECURITY UPDATE: Memory leak.
    - debian/patches/CVE-2025-46420.patch: Free allocated strings during
      iteration in ./libsoup/soup-headers.c.
    - CVE-2025-46420
  * SECURITY UPDATE: Information exposure through host impersonation.
    - debian/patches/CVE-2025-46421.patch: Strip credentials on cross-origin
      redirects in ./libsoup/soup-session.c.
    - CVE-2025-46421
  * debian/patches/Extend-test-cert-to-2049.patch: Extend expiration to 2049 of
    a certificate used for build tests.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 02 May 2025 16:54:30 -0230

libsoup2.4 (2.70.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-2784-1.patch: Fix potential overflow
    - debian/patches/CVE-2025-2784-2.patch: Add better coverage of
      skip_insignificant_space()
    - CVE-2025-2784
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32050.patch: Fix using int instead of
      size_t for strcspn return
    - CVE-2025-32050
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32052.patch: Fix heap buffer overflow in
      soup_content_sniffer_sniff
    - CVE-2025-32052
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32053.patch: Fix heap buffer overflow in
      sniff_feed_or_html()
    - CVE-2025-32053

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 09 Apr 2025 19:09:25 +0200

libsoup2.4 (2.70.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Request smuggling
    - debian/patches/CVE-2024-52530.patch: Strictly don't allow NUL 
      bytes in headers
    - CVE-2024-52530
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52531-1.patch: Be more robust against 
      invalid input when parsing params
    - debian/patches/CVE-2024-52531-2.patch: Add test for passing 
      invalid UTF-8 to soup_header_parse_semi_param_list()
    - CVE-2024-52531
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-52532-1.patch: process the frame as soon
      as data is read
    - debian/patches/CVE-2024-52532-2.patch: disconnect error copy 
      after the test ends
    - CVE-2024-52532

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 18 Nov 2024 17:04:33 +1100

libsoup2.4 (2.70.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Merge packaging changes from unstable
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch,
    d/p/tests-Skip-tests-if-unable-to-start-Apache.patch:
    Work around intermittent failure to start Apache for unit tests
  * Upload 2.70.x branch to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2020 09:43:38 +0000

libsoup2.4 (2.68.4-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream
  * Switch packaging branch to debian/unstable, upstream/2.68.x.
    Versions 2.69.x are already in debian/master and upstream/latest.
  * d/watch: Only watch for stable releases
  * d/p/skip-tls_interaction-test.patch, d/tests:
    Don't skip this test (suspected to be flaky) if an environment variable
    is set. Run it as an autopkgtest marked as flaky, to get an idea of
    how often it fails.
  * Standards-Version: 4.5.0
  * Replace non-standard pkg.libsoup2.4.noinsttests build-profile with
    noinsttest
  * libsoup2.4-1.docs: Normalize order of lines
  * Normalize order of (build-)dependencies (wrap-and-sort -a)
  * Wrap long lines in changelog entries: 2.62.2-2
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse


