=== debian/control ===
--- 
+++ 
@@ -5,33 +5,34 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
+               curl <!nocheck> <!noinsttest>,
+               debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
+               glib-networking (>= 2.32.0),
+               gtk-doc-tools,
+               libapache2-mod-php (<< 2:8) <!nocheck> <!noinsttest>,
+               libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
                libbrotli-dev,
+               libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.58),
-               glib-networking (>= 2.32.0),
+               libkrb5-dev,
+               libnss-myhostname [linux-any] <!nocheck>,
+               libpsl-dev (>= 0.20),
                libsqlite3-dev,
                libxml2-dev,
-               libkrb5-dev,
-               libpsl-dev (>= 0.20),
-               gtk-doc-tools,
                meson (>= 0.48),
-               libgirepository1.0-dev (>= 0.9.5),
-               apache2 (>= 2.4) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libapache2-mod-php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libapache2-mod-php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php-xmlrpc <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (<< 2:8) <!nocheck> <!noinsttest>,
+               php (>= 2:7) <!nocheck> <!noinsttest>,
+               php-xmlrpc <!nocheck> <!noinsttest>,
                python3,
-               curl <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libnss-myhostname [linux-any] <!nocheck>,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -41,15 +42,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-soup-2.4 (= ${binary:Version}),
          libbrotli-dev,
+         libglib2.0-dev (>= 2.58.0),
          libpsl-dev (>= 0.20),
          libsoup2.4-1 (= ${binary:Version}),
          libsqlite3-dev,
-         gir1.2-soup-2.4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.58.0),
          libxml2-dev,
          zlib1g-dev,
+         ${misc:Depends}
 Suggests: libsoup2.4-doc
 Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -77,9 +78,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         glib-networking (>= 2.32.0)
+Depends: glib-networking (>= 2.32.0),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -138,10 +139,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-soup-2.4 (= ${binary:Version}),
+Depends: gir1.2-soup-2.4 (= ${binary:Version}),
          libsoup-gnome2.4-1 (= ${binary:Version}),
-         libsoup2.4-dev (= ${binary:Version})
+         libsoup2.4-dev (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: libsoup2.4-doc
 Description: HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -203,8 +204,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: gir1.2-soupgnome-2.4 (= ${binary:Version})
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
@@ -219,18 +220,18 @@
  dynamic bindings.
 
 Package: libsoup2.4-tests
-Build-Profiles: <!pkg.libsoup2.4.noinsttests>
+Build-Profiles: <!noinsttest>
 Section: misc
 Architecture: any
 Depends: apache2 (>= 2.4),
          curl,
+         libapache2-mod-php (<< 2:8),
          libapache2-mod-php (>= 2:7),
-         libapache2-mod-php (<< 2:8),
          libnss-myhostname [linux-any],
          php,
          php-xmlrpc,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: gnome-desktop-testing
 Description: HTTP library implementation in C -- installed tests
  libsoup uses the Glib main loop and is designed to work well with GTK+
