=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,14 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--libexecdir=libexec \
 		-Dbrotli=enabled \
 		-Dgtk_doc=true \
+		-Dinstalled_tests=true \
 		-Dvapi=enabled
 
 override_dh_missing:
 	dh_missing --list-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
