## libsoup2.4 2.72.0

=== debian/changelog ===
libsoup2.4 (2.72.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gitlab_tests_fix.patch:
    Update patch metadata to reflect it being applied upstream
  * Amend 2.71.1-1 changelog entry to reflect that patch fixing tests when
    run against glib-networking >= 2.65.90 (see #970935)
  * d/p/tests-ensure-we-use-an-absolute-path-for-apache-server-ro.patch:
    Add patch from upstream to fix Apache startup in some circumstances.
    This might make d/p/tests-Skip-tests-if-unable-to-start-Apache.patch
    unnecessary, but that patch was for an intermittent failure, so let's
    get more test results before removing it.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 16:46:52 +0100

libsoup2.4 (2.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:59:03 +0200

libsoup2.4 (2.71.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/gitlab_tests_fix.patch:
    - backport an upstream proposed change to fix the tests
      (Closes: #970935)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Sep 2020 10:27:08 +0200

libsoup2.4 (2.71.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    Upstream developers are not going to support mixing binary packages
    of different versions from the same source package, and neither should
    we; they all migrate to testing as a unit anyway.
  * Don't override libexecdir to libexec.
    This is the default now.

  [ Sebastien Bacher ]
  * New upstream release
  * debian/libsoup2.4-1.symbols:
    - refreshed the list of sumbols for the new version
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch:
    - removed, the fix is included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 13:58:53 +0200
