## libsoup2.4 2.74.0

=== debian/changelog ===
libsoup2.4 (2.74.0-2) unstable; urgency=medium

  * Add patch to revert commit applied for use with vala 0.53.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 19:13:26 -0400

libsoup2.4 (2.74.0-1) unstable; urgency=medium

  * New upstream release
  * Drop three patches applied in new release
  * Don't let debhelper 13.4+ make all the installed-tests executable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 20:45:31 -0400

libsoup2.4 (2.72.0-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable, to unblock upload of GLib 2.68.x

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:06:06 +0100

libsoup2.4 (2.72.0-3) experimental; urgency=medium

  * d/p/tests-connection-test-Update-expected-events-for-GLib-2.6.patch. Fix
    test compatibility with glib 2.67.0

 -- Iain Lane <laney@debian.org>  Thu, 04 Mar 2021 22:05:29 +0000
