## libsoup2.4 2.74.2

=== meson_options.txt ===
--- 
+++ 
@@ -70,3 +70,9 @@
   value: false,
   description: 'Install tests for as-installed testing'
 )
+
+option('sysprof',
+  type: 'feature',
+  value: 'auto',
+  description: 'enable sysprof-capture support for profiling'
+)
