=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                glib-networking (>= 2.32.0),
                gtk-doc-tools,
-               libapache2-mod-php (<< 2:8) <!nocheck> <!noinsttest>,
+               libapache2-mod-php (<< 2:9) <!nocheck> <!noinsttest>,
                libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
                libbrotli-dev,
                libgirepository1.0-dev (>= 0.9.5),
@@ -25,13 +26,13 @@
                libsqlite3-dev,
                libxml2-dev,
                meson (>= 0.48),
-               php (<< 2:8) <!nocheck> <!noinsttest>,
+               php (<< 2:9) <!nocheck> <!noinsttest>,
                php (>= 2:7) <!nocheck> <!noinsttest>,
-               php-xmlrpc <!nocheck> <!noinsttest>,
+               php-xmlrpc <!nocheck> <!noinsttest> | php (>= 2:8.1+85+really8) <!nocheck> <!noinsttest>,
                python3,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -78,6 +79,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: glib-networking (>= 2.32.0),
+         libsoup2.4-common,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: HTTP library implementation in C -- Shared library
@@ -168,6 +170,17 @@
   * Basic client-side SOAP and XML-RPC support
  .
  This package contains the development files for the GNOME support.
+
+Package: libsoup2.4-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: HTTP library implementation in C -- Common files
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ This package contains architecture-independent files such as translations.
 
 Package: libsoup2.4-doc
 Section: doc
@@ -224,11 +237,11 @@
 Architecture: any
 Depends: apache2 (>= 2.4),
          curl,
-         libapache2-mod-php (<< 2:8),
+         libapache2-mod-php (<< 2:9),
          libapache2-mod-php (>= 2:7),
          libnss-myhostname [linux-any],
          php,
-         php-xmlrpc,
+         php-xmlrpc | php (>= 2:8.1+85+really8.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-desktop-testing
