=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/libsoup/cache.json \
	2[\d.]+[02468]/libsoup-([\d.]+)@ARCHIVE_EXT@
